<?

if ( count($this->escorts) > 0 ):
?>
<div class="head"><div class="i"><span class="online_i"><?= __('escorts_online_now') ?></span></div></div>

<div class="total-online">
    <?= $this->count ?> <span class="green">online</span>
</div>
<?
foreach ( $this->escorts as $escort):
?>

<div class="online_escort">
	<a class="bglink" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id) ) ?>"></a>
    <div class="online_thumb">
		<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id) ) ?>" >
			<img src="<?= $escort->getMainPhoto()->getUrl('w68') ?>" width="68" height="91" />
		</a>
	</div>
	<div class="online_text">
        <a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id) ) ?>" class="escort-showname"><?= $escort->showname ?></a>
        <div>
             <? if ($this->allowChat()): ?>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="jqac.arrowchat.chatWith('<?= $escort->user_id ?>');"><img src="<?=_st('v2.1/chat_now.png') ?>"  class="margin3" alt="" /></a>
				<? else: ?>
					<a href="#" class="chat_login"><img src="<?=_st('v2.1/chat_now.png') ?>"  class="margin3" alt="" /></a>
				<? endif; ?>
			<? elseif ($this->allowChat2()): ?>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="chat.chatWith('<?= $escort->user_id ?>');"><img src="<?=_st('v2.1/chat_now.png') ?>"  class="margin3" alt="" /></a>
				<? else: ?>
					<a href="#" class="chat_login"><img src="<?=_st('v2.1/chat_now.png') ?>"  class="margin3" alt="" /></a>
				<? endif; ?>
			<? endif; ?>
            <a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>">
                Visit my profile >
            </a>
        </div>
	</div>
	
	<div class="clear"></div>
</div>
<? endforeach; ?>

<? $pages = $this->paging($this->count, $this->page, $this->per_page, 5, 2) ?>
<? if ( count($pages) > 1 ): ?>
<p class="bubble-paging">
	<? if ( $this->page > 1 ): ?>
		<a class="prev" href="#" onclick="return Cubix.Online.Load(<?= $this->page - 1 ?>)"></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>
	<? if ( $this->page == $page ): ?>
		<span><?= $page ?></span>
	<? else: ?>
		<a class="p" href="#" onclick="return Cubix.Online.Load(<?= $page ?>)"><?= $page ?></a>
	<? endif ?>
	<? endforeach ?>

	<? if ( $this->page < ceil($this->count / $this->per_page) ): ?>
		<a class="next" href="#" onclick="return Cubix.Online.Load(<?= ($this->page + 1) ?>)"></a>
	<? endif ?>
</p>
<? endif;?>

<? endif;?>
